Orgs Connections
Get the fields for an action
POST
/
orgs
/
{org_id}
/
connections
/
actions
/
fields
Get the fields for an action
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/connections/actions/fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action_id": "<string>",
"connection_id": "<string>",
"input": {},
"resource_id": "<string>",
"definitions": [
{
"path": "<string>",
"definition": {}
}
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/actions/fields"
payload = {
"action_id": "<string>",
"connection_id": "<string>",
"input": {},
"resource_id": "<string>",
"definitions": [
{
"path": "<string>",
"definition": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action_id: '<string>',
connection_id: '<string>',
input: {},
resource_id: '<string>',
definitions: [{path: '<string>', definition: {}}]
})
};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/actions/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
Body
application/jsonmultipart/form-data
Response
200 - application/json
The definition of the field schemas
The file type allows users to upload files
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get the fields for an action
